# std::_BinClos< _Oper, _Expr, _ValArray, _Dom, typename _Dom::value_type > Struct Template Reference

Inheritance diagram for std::_BinClos< _Oper, _Expr, _ValArray, _Dom, typename _Dom::value_type >:

List of all members.

## Detailed Description

### template<class _Oper, class _Dom>
struct std::_BinClos< _Oper, _Expr, _ValArray, _Dom, typename _Dom::value_type >

Definition at line 599 of file valarray_before.h.

## Public Types

- typedef _BinBase< _Oper, _Dom,
  valarray< _Tp > > _Base
- typedef _Dom::value_type _Tp
- typedef _FirstArg::value_type _Vt
- typedef _Base::value_type value_type

## Public Member Functions

- _BinClos (const _Dom &__e1, const valarray< _Tp > &__e2)
- value_type operator[] (size_t __i) const
- size_t size () const

The documentation for this struct was generated from the following file:

- valarray_before.h